function [ y ] = iir( x, fvz, r )
% Funkce iir.m filtruje signál x pomocí IIR filtru. Je vhodný zejména pro
% potlačení brumu v užitečném signálu. Vstupy funkce jsou:
% x: vektor popisující signál, který má být filtrován IIR filtrem
% fvz: kladné číslo charakterizující frekvenci, s kterou je signál x
% vzorkován
% r: číslo v intervalu <0,1> popisující vzdálenost pólů od počátku soustavy
% souřadnic, ovlivňuje strmost přechodu
% Výstupem funkce iir.m je vektor y charakterizující získaný vyfiltrovaný
% signál.

%nastavení parametrů filtru
a=[1 -2*r*cos(2*pi*50/fvz) r^2];
b=[1 -2*cos(2*pi*50/fvz) 1];

%filtrace
y=filter( b, a, x );

end

              
